Package com.google.protobuf

## Interface DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.DescriptorProto.ExtensionRange`, `DescriptorProtos.DescriptorProto.ExtensionRange.Builder`

Enclosing class:
  DescriptorProtos.DescriptorProto

    public static interface DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder
    extends MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` `optional int32 end = 2;`
`int` `getStart()` `optional int32 start = 1;`
`boolean` `hasEnd()` `optional int32 end = 2;`
`boolean` `hasStart()` `optional int32 start = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasStart

    boolean hasStart()

`optional int32 start = 1;`

#### getStart

    int getStart()

`optional int32 start = 1;`

#### hasEnd

    boolean hasEnd()

`optional int32 end = 2;`

#### getEnd

    int getEnd()

`optional int32 end = 2;`